module.exports = {
    parserOptions: {
        ecmaVersion: 'latest',
        sourceType: 'module',
    },
    env: {
        es6: true,
        browser: true,
    },
    plugins: ['todo-plz', 'no-only-tests'],
    overrides: [],
    rules: {
        'no-console': ['error'],
        'todo-plz/ticket-ref': ['error', { pattern: 'GT[0-9]+' }],
        'no-only-tests/no-only-tests': [
            'error',
            {
                block: ['test'],
                focus: ['only'],
            },
        ],
    },
    settings: {
        // ...
    },
};
