# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## 4.0.0 (2022-08-30)

### ⚠ BREAKING CHANGES

-   Return to a JavaScript core (sorry Typescript).

## 3.0.0 (2021-05-02)

### ⚠ BREAKING CHANGES

-   Upgrade to Typescript 4.
-   Switch from 'updeep' to '@yanick/updeep'.

## [2.1.0](https://github.com/yanick/updux/compare/v2.0.0...v2.1.0) (2020-06-19)

### Features

-   add support for subscriptions ([9c45ee7](https://github.com/yanick/updux/commit/9c45ee7efcb623defb9da5d01165fbad0e4424f9))

## [2.0.0](https://github.com/yanick/updux/compare/v1.2.0...v2.0.0) (2020-06-13)

### ⚠ BREAKING CHANGES

-   use ts-action for action creation
-   middleware support refined

### Features

-   allow adding actionCreators via addAction() ([27ae46d](https://github.com/yanick/updux/commit/27ae46dbab289b27ea99aca149aaa3b7c90ee7d0))
-   middleware support refined ([d90d721](https://github.com/yanick/updux/commit/d90d72148c2d4ba186a19650d961c64df5791c55))
-   moving documentation to docsify ([fa55762](https://github.com/yanick/updux/commit/fa55762efcbd4db356150f6022fd62750adc27a9))
-   use ts-action for action creation ([6349d72](https://github.com/yanick/updux/commit/6349d720b8aba4b443a7225d6a377c5c929a3021))

### Bug Fixes

-   state is a PreloadedState<S> ([93bebc5](https://github.com/yanick/updux/commit/93bebc5acf193752aa6b4857507f05d52b1b7665))

## 1.2.0 2019-11-06

    - The middleware's 'getState' returns the local state of its updux,
        instead of the root state. Plus we add `getRootState` to get
        the root state.

## 1.1.0 2019-11-05

    - Document mapping behavior of the '*' subdux.
    - add subduxUpreducer.
    - add sink mutations.

## 1.0.0 2019-11-04

    - Pretty big rework.
    - Better documentation.

## 0.2.0 2019-10-24

    - Converted everything to Typescript.

## 0.1.0 2019-10-22

    - Add 'actions' in the config.

## 0.0.1 2019-10-22

    - Initial release.
