import { test, expect } from 'vitest';
import { Updux } from './Updux.js';

test('basic createStore', async () => {
    const foo = new Updux({
        initial: { a: 1 },
        actions: {
            a1: null,
        },
    });

    const store = foo.createStore();

    expect(store.getState).toBeTypeOf('function');
    expect(store.getState()).toEqual({ a: 1 });

    expect(store.actions.a1).toBeTypeOf('function');
});
